Name: cmake
Version: 2.4.6
Release: alt1.0

Summary: Cross-platform, open-source make system

License: BSD
Group: Development/Other
Url: http://www.cmake.org/HTML/Index.html

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: http://www.cmake.org/files/v2.4/%name-%version.tar.gz
Patch0: %name-2.4.4-alt-dynamic-linking.patch
Patch1: %name-2.4.5-alt-FindXMLRPC-fix.patch
Patch2: %name-2.4.5-alt-FindQt3-remove-glob.patch

BuildPreReq: gcc-c++ libncurses-devel libtinfo-devel libexpat-devel libcurl-devel zlib-devel
BuildPreReq: libxmlrpc-devel >= 1.08.00-alt2

Obsoletes: cpack
Provides: cpack


%description
CMake is used to control the software compilation process using
simple platform and compiler independent configuration files.
CMake generates native makefiles and workspaces that can be
used in the compiler environment of your choice. CMake is quite
sophisticated: it is possible to support complex environments
requiring system configuration, pre-processor generation, code
generation, and template instantiation.


%package -n ccmake
Summary: Curses interface for CMake
Group: Development/Other
Requires: %name = %version-%release

%description -n ccmake
The "ccmake" executable is the CMake curses interface. Project
configuration settings may be specified interactively through this GUI.
Brief instructions are provided at the bottom of the terminal when the
program is running.


%package -n ctest
Summary: CMake test driver program
Group: Development/Other
Requires: %name = %version-%release

%description -n ctest
The ctest executable is the CMake test driver program. CMake-generated
build trees created for projects that use the ENABLE_TESTING and
ADD_TEST commands have testing support. This program will run the tests
and report results.


%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1
%patch2 -p1
%__subst 's,SET(BUILD_SHARED_LIBS OFF),SET(BUILD_SHARED_LIBS ON),' CMakeLists.txt

%build
mkdir build
pushd build
CFLAGS="%optflags" CXXFLAGS="%optflags" ../bootstrap \
	--system-libs \
	--prefix=%prefix \
	--datadir=/share/CMake \
	--mandir=/share/man \
	--docdir=/share/doc/%name-%version
	
%make_build VERBOSE=1 
%make test

%install
pushd build
%make_install DESTDIR=%buildroot install
mv %buildroot/usr/lib %buildroot%_libdir || :

%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%_bindir/cmake
%_bindir/cpack
%_libdir/libCMakeLib.so
%_libdir/libCPackLib.so
%_libdir/libcmcompress.so
%_libdir/libcmsys.so
%_libdir/libcmsys_c.so
%_libdir/libcmtar.so
%_datadir/CMake
%_man1dir/cmake.*
%_docdir/%name-%version/Copyright.txt
%_docdir/%name-%version/cmake.*


%files -n ccmake
%_bindir/ccmake
%_libdir/libcmForm.so
%_man1dir/ccmake.*
%_docdir/%name-%version/ccmake.*


%files -n ctest
%_bindir/ctest
%_libdir/libCTestLib.so
%_man1dir/ctest.*
%_docdir/%name-%version/ctest.*


%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.4.6-alt1.0
- Rebuilt due to libcurl.so.3 -> libcurl.so.4 soname change.

* Sat Jan 13 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.6-alt1
- 2.4.6

* Wed Jan 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt4
- build in separate dir
- use optflags

* Wed Jan 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt3
- merge cpack package into cmake, since it is required by (almost?)
  all cmake builds (#10577)

* Sun Dec 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt2
- remove globbing of /usr/lib/qt-3* from FindQt3.cmake, which caused
  incorrect buildreq output for projects using FIND_PACKAGE(Qt3)

* Sat Dec 09 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt1
- 2.4.5
- fix x86_64 build (damir@)

* Sun Dec 03 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt0.2
- separate packages for ccmake, cpack and ctest

* Sat Dec 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.5-alt0.1
- 2.4.5 RC4
- fix search for libxmlrpc

* Thu Nov 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Wed Aug 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.3-alt2
- build with system libs
- build bundled libs as shared
- invoke make test

* Thu Aug 03 2006 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.3-alt1
- new version

* Thu Jul 13 2006 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt0.1
- new version 2.4.2 (with rpmrb script) (fix bug #9776)

* Tue May 09 2006 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt0.1
- new version (2.4.1)

* Wed Jan 25 2006 Vitaly Lipatov <lav@altlinux.ru> 2.2.3-alt0.1
- new version
- fix rpath using

* Tue Oct 04 2005 Vitaly Lipatov <lav@altlinux.ru> 2.2.1-alt1
- new version

* Sun Feb 27 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.5-alt1
- first release for ALT Linux Sisyphus

* Tue Nov 23 2004 Gaetan LEHMANN <gaetan.lehmann@jouy.inra.fr> 2.0.5-1mdk
- 2.0.5

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.7-2mdk
- Rebuild

* Thu Jul 17 2003 Austin Acton <aacton@yorku.ca> 1.6.7-1mdk
- 1.6.7

* Thu Jan 9 2003 Austin Acton <aacton@yorku.ca> 1.4.7-1mdk
- initial package
